export interface ParseOptions {
    /** Specify separators used to split key-value pairs, default is [':', '='] */
    separators?: string[];
    /** Specify comment prefixes, default is ['#', '!'] */
    commentPrefixes?: string[];
    /** Callback function to handle key-value pairs */
    onData?: (key: string, value: string, lineno: number) => void;
    /** Callback function to handle comments */
    onComment?: (comment: string, lineno: number) => void;
}
export declare function parse(input: string, { separators, commentPrefixes, onData, onComment }: ParseOptions): void;
